This wiki has been moved to https://github.com/SuperTux/wiki into the mediawiki branch.

Talk:Download/Installation

From SuperTux
< Talk:Download
Revision as of 10:40, 22 August 2008 by Kunaldeo (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Add your comments and enhancement requests here. Download page is locked to avoid someone placing trojans there. (This is not a place for bugreports here for that use Bugs). You should add links/instructions to supertux packages here that you want to see listed on the main download page.

Mirror

http://openftp.de/openFTP/STUFF/SuperTux030/

SuperTux 0.1.3 for GP2X F100

http://bitmage.de/index.php?section=52
http://archive.gp2x.de/cgi-bin/cfiles.cgi?0,0,0,0,35,1454

Download the zip with the binary in it and put it on your GP2X's SD card (unsure as to whether the NAND is fast enough). Execute.

SuperTux 0.1.3 for Mac OS X

Could you also post the xcode project for this or how you compiled it?

Mac OS Version

Is someone working on a Mac distribution. I tried to install all of the required packages repeatedly, but somehow my vorbis installation is messed up. I have tried reinstalling it and it doesn't let me compile the source. I would really like to play the new levels, but I am entirely dependent on someone else compiling a binary. Thank you to whoever that kind soul is.

Install supertux 0.1.3 on Mac OS X. HowTo:

This is probably not the best solution around but at least I got a working supertux 0.1.3 now :-) Do this (You should now how to handle the Terminal and even better Fink, otherwise better wait for a package:

Get the source and untar it.
Install Fink (fink.sf.org)
in Terminal install the following binaries through Fink:
%fink install sdl
%fink install sdl-image
%fink install sdl-mixer

then go to your untared copy of supertux and do this:
%./configure --disable-opengl
make

once everything is compiled, go to the src directory inside your supertux directory and type in Termianl:
./supertux -d ../data/

Now it should be working!

PS: OpenGL is not enabled in this mode. Didn't work, had compiling errors with that. There are probably ways to have a package that works like 0.1.2 but I have no clue how to compile SDL and everything into one directory. If someone can do that, go ahead.

Downloading the OSX Univeral Binary

Every time I try to download the OSX UB, it tells me the server is too full. Is it jus extremely crowded or something?

Supertux on PS3?

Well, since the PS3's Operating System will be Linux...can Supertux be ported ?

Theoretically, yes. Actually, theoretically, it will Just Work. --Tuxdev 02:45, 5 Dec 2006 (CET)
If someone is willing to donate the required hardware ...


I have created one package for supertux2 for PS3. It is available from

http://kunaldeo.googlepages.com/supertux2forps3

It has been tested on YDL. --Kunaldeo 18:40, 22 August 2008 (UTC)

SuperTux 0.3.0 for Mac OS X

A universal binary of SuperTux 0.3.0 for Mac OS X is now ready for distribution. It requires Mac OS X 10.3.9 or later. This is the game only (no editor included).

http://www.rhythmiccanvas.com/temp/supertux-0.3.0-macosx.dmg

A universal binary of SuperTux 0.3.0 for Mac OS X (probably the one mentioned above) has been added to the project files at BerliOS, but it has not yet been added to the official download links on this page.

http://prdownload.berlios.de/supertux/supertux-0.3.0-macosx.dmg

Both fore-mentioned builds are identical.

OpenAL

Supertux needs OpenAL. If you don't have it on your system, get it from http://openal.org/ .

Contributed packages

Only the Source, the Linux Autopackage and the Windows Installer is part of the official release. Everything else was contributed by someone else. --WolfgangB 15:50, 2 Jan 2007 (CET)

NoGL editor??

Is a NoGL version of the editor available? Ajdlinux 15:18, 18 January 2007 (PST)

No, and while we are not going to code one, we could probably accept a patch for it. --AnMaster 23:35, 18 January 2007 (PST)
Why would you want an editor if you can't playtest the levels anyway? --Superdev 10:48, 19 January 2007 (PST)
Well there is a nogl patch for the game but it makes some levels unplayable (like world2/light+magic.stl). --AnMaster 11:19, 19 January 2007 (PST)

System requirements / Windows

Can someone add it somewhere that while Milestone 1.9 will download and run happily on Windows 98 (and presumably ME too), the editor cannot be downloaded and installed as Mono is not available for 98/ME?

At least, when I downloaded the level editor, it offered to download Mono for me, which it did, then failed to install as I don't run above Win98.

Thanks

Game works on my 98. Never tried the editor.